List checkout pages

Returns a paginated list of your checkout pages.

GET/v1/checkout-pages/

Authorization

api_key_auth
AuthorizationBearer <token>

API key authentication. Use "Bearer YOUR_API_KEY" format.

In: header

Query Parameters

limit?string

The number of results per page. Minimum value is 1 and maximum is 100. Defaults to 20.

starting_after?string

A cursor value specifying the id of a resource to start before. Retrieves items that appear after this cursor in the list. Cannot be used together with ending_before.

Match^[0-9a-fA-F]{24}$
ending_before?string

A cursor value specifying the id of a resource to end after. Retrieves items that appear before this cursor in the list. Cannot be used together with starting_after.

Match^[0-9a-fA-F]{24}$
status?string

Filter checkout pages by publication status.

Value in"published" | "draft" | "archived"
search?string

Case-insensitive search matched against page name, title, and product title.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.checkoutpage.com/v1/checkout-pages/"
{
  "has_more": true,
  "total": 42,
  "data": [
    {
      "id": "65f4a1c2e4a9f3d2b1c0a9e8",
      "sellerId": "65f4a1c2e4a9f3d2b1c0a9e8",
      "name": "string",
      "slug": "string",
      "status": "published",
      "images": [
        {
          "fileId": "string",
          "url": "https://bucket-name.s3.amazonaws.com/image.jpg",
          "name": "product-image.jpg",
          "size": 245678,
          "width": 1920,
          "height": 1080
        }
      ],
      "locale": "string",
      "fields": [
        {
          "id": "507f1f77bcf86cd799439011",
          "label": "Company Name",
          "placeholder": "Enter your company name",
          "element": "text",
          "type": "company-name",
          "options": [
            {
              "id": "65f4a1c2e4a9f3d2b1c0a9e8",
              "label": "Label",
              "value": "value"
            }
          ],
          "required": true,
          "order": 0,
          "reference": "custom_field_1",
          "hidden": false,
          "defaultValue": {
            "enabled": true,
            "value": "string"
          },
          "showHideLogic": {
            "enabled": true,
            "comparison": "is",
            "value": "string",
            "element": {
              "elementTitle": "string",
              "elementType": "field",
              "elementId": "string"
            }
          },
          "minValue": {
            "enabled": true,
            "value": "string"
          },
          "maxValue": {
            "enabled": true,
            "value": "string"
          },
          "limitAllowedCountries": {
            "enabled": true,
            "countries": [
              "string"
            ]
          },
          "showSelectedDialCode": true,
          "createdAt": "2024-01-15T10:30:00.000Z",
          "updatedAt": "2024-01-15T10:30:00.000Z"
        }
      ],
      "url": "string",
      "customizeCheckoutConfirmation": true,
      "closePopupOnClickOutside": true,
      "funnelSteps": [
        {
          "type": "upsell",
          "order": 1,
          "enabled": true,
          "config": {
            "action": "checkout",
            "pageId": "507f1f77bcf86cd799439012"
          }
        },
        {
          "type": "confirmation",
          "order": 2,
          "enabled": true,
          "config": {
            "action": "confirmation",
            "customizeCheckoutConfirmation": true,
            "confirmationCheckoutTitle": "Order confirmed",
            "confirmationCheckoutMessage": "<p>Thanks for your purchase.</p>"
          }
        }
      ],
      "visitCount": 0,
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z",
      "redirect": {
        "enabled": true,
        "url": "string"
      },
      "afterPaymentAction": "confirmation",
      "redirectPageId": "65f4a1c2e4a9f3d2b1c0a9e8",
      "redirectUrl": "string",
      "redirectUrlPath": [
        {
          "key": "string",
          "identifier": "string"
        }
      ],
      "redirectUrlQuery": [
        {
          "parameter": "string",
          "key": "string",
          "identifier": "string"
        }
      ],
      "redirectUrlInsideEmbed": true,
      "confirmationCheckoutTitle": "string",
      "confirmationCheckoutMessage": "string",
      "sendPaymentNotification": true,
      "notifyEmail": "string",
      "sendEmailConfirmation": true,
      "customizeEmailConfirmation": true,
      "confirmationEmailSubject": "string",
      "confirmationEmailMessage": "string",
      "confirmationEmailShowLogo": true,
      "confirmationEmailShowStoreName": true,
      "googleIndex": true,
      "trackingCodes": "string",
      "type": "checkout",
      "showCouponCodeField": true,
      "showCouponCodeFieldType": "link",
      "allowDynamicPrice": true,
      "allowDynamicDiscountedFromPrice": true,
      "allowDynamicTitle": true,
      "allowDynamicDescription": true,
      "allowDynamicPlanIterations": true,
      "allowDynamicRedirectUrl": true,
      "savePaymentMethod": true,
      "checkoutAbandonment": {
        "disableEmails": true,
        "showStoreLogo": true,
        "showStoreName": true,
        "emailReminders": {
          "property1": {
            "customizeEmail": true,
            "subject": "Complete your purchase",
            "body": "<p>You left something behind!</p>",
            "buttonText": "Complete order"
          },
          "property2": {
            "customizeEmail": true,
            "subject": "Complete your purchase",
            "body": "<p>You left something behind!</p>",
            "buttonText": "Complete order"
          }
        }
      },
      "enableFileAccessForInactiveSubscriptions": true,
      "limitSubscriptions": {
        "enabled": true
      },
      "limitSubscriptionsStripe": {
        "enabled": true
      },
      "sendCanceledSubscriptionNotifications": true,
      "sendRecurringPaymentFailedNotifications": true,
      "sendRecurringPaymentSucceededNotifications": true,
      "tax": {
        "enabled": true
      },
      "paymentMethods": {
        "stripe": {
          "card": {
            "enabled": true
          },
          "agpay": {
            "enabled": true,
            "mode": "default"
          },
          "multiple": {
            "enabled": false
          }
        }
      },
      "paymentOptions": [
        {
          "type": "manual",
          "enabled": true,
          "name": "Pay in full",
          "description": "string",
          "instructions": "Bank details will be sent via email after checkout.",
          "partialAmount": 0,
          "showPaymentButton": true,
          "manualType": "invoice"
        }
      ],
      "fees": [
        {
          "name": "Processing fee",
          "amount": 50,
          "percentage": 0,
          "multiplyByQuantity": true,
          "multiplyByTickets": true,
          "applyToSpecificPaymentMethods": false,
          "paymentMethods": [
            "acss_debit"
          ]
        }
      ],
      "invoiceSettings": {
        "bankDetails": "Account: 12345678, Sort code: 00-00-00",
        "additionalInformation": {
          "enabled": true,
          "title": "Payment terms",
          "message": "Payment is due within 30 days of invoice date."
        },
        "dueDays": {
          "enabled": true,
          "days": 30
        }
      },
      "product": {
        "id": "507f1f77bcf86cd799439011",
        "type": "charge",
        "title": "Premium Course",
        "description": "string",
        "sku": "string",
        "price": {
          "amount": 4900,
          "currency": "usd",
          "payWhatYouWant": true,
          "pricingType": "single",
          "discountedFromPrice": 0,
          "setupFee": 0,
          "setupFeeMultipliesWithQuantity": true,
          "recurring": {
            "interval": "month",
            "intervalCount": 1,
            "trialPeriodDays": 0,
            "billingCycleAnchorConfig": {
              "enabled": true,
              "dayOfMonth": 1,
              "month": 1
            },
            "startDate": "2026-02-25T06:40:09.463Z"
          },
          "paymentPlan": {
            "interval": "month",
            "intervalCount": 1,
            "trialPeriodDays": 0,
            "billingCycleAnchorConfig": {
              "enabled": true,
              "dayOfMonth": 1,
              "month": 1
            },
            "planIterations": 0,
            "startDate": "2026-02-25T06:40:09.463Z"
          }
        },
        "taxBehavior": "exclusive",
        "taxCode": "string",
        "media": [
          {
            "fileId": "string",
            "url": "https://bucket-name.s3.amazonaws.com/image.jpg",
            "name": "product-image.jpg",
            "size": 245678,
            "width": 1920,
            "height": 1080
          }
        ],
        "fileIds": [
          "507f1f77bcf86cd799439011"
        ],
        "variants": [
          {
            "id": "507f1f77bcf86cd799439011",
            "name": "Plan Type",
            "required": true,
            "status": "enabled",
            "options": [
              {
                "id": "507f1f77bcf86cd799439011",
                "name": "Basic",
                "status": "enabled",
                "description": "string",
                "image": {
                  "fileId": "507f1f77bcf86cd799439011",
                  "url": "https://cdn.example.com/image.png",
                  "name": "product-image.png",
                  "width": 0,
                  "height": 0,
                  "size": 0
                },
                "additionalChargeAmount": 1000,
                "sku": "string",
                "stock": 0,
                "type": "one_time",
                "payWhatYouWant": false,
                "pwywSuggestedPrice": 2500,
                "fileIds": [
                  "65f4a1c2e4a9f3d2b1c0a9e8"
                ]
              }
            ],
            "order": 0,
            "reference": "fd3136f8-da1f-4a4c-b381-32a097b60c38",
            "selectionType": "single",
            "increasesWithQuantity": true,
            "useVariantOptionSkus": true,
            "manageVariantOptionStock": true,
            "hidden": true,
            "preselect": {
              "enabled": true,
              "optionId": "pro-option",
              "quantity": 1
            },
            "showHideLogic": {
              "enabled": true,
              "comparison": "is",
              "value": "pro-option",
              "element": {
                "elementId": "select-package-tier"
              }
            },
            "layout": {
              "variantOptionLayout": "list",
              "collapseVariantOptions": false,
              "variantOptionColumns": 2,
              "showVariantName": true,
              "showVariantOptionNames": true,
              "showVariantOptionPrices": true,
              "showVariantOptionPriceSign": true,
              "showPwywPlaceholder": true,
              "textAlign": "left",
              "spacing": "comfortable",
              "imageSize": "small"
            }
          }
        ],
        "discounts": [
          {
            "quantityCondition": "checkout_quantity",
            "variantOptionIds": [
              "507f1f77bcf86cd799439011"
            ],
            "minQuantity": 5,
            "maxQuantity": 10,
            "percentOff": 10,
            "amountOff": 500
          }
        ],
        "generateLicenseKeys": true,
        "variantsRequired": true,
        "stock": 0,
        "hasUnlimitedStock": true,
        "createdAt": "2024-01-15T10:30:00.000Z",
        "updatedAt": "2024-01-15T10:30:00.000Z"
      }
    }
  ]
}
{
  "status": "error",
  "type": "error",
  "message": "Not Found",
  "errors": [
    {
      "param": "string",
      "message": "string",
      "value": null
    }
  ],
  "property1": null,
  "property2": null
}
{
  "status": "error",
  "type": "error",
  "message": "Not Found",
  "errors": [
    {
      "param": "string",
      "message": "string",
      "value": null
    }
  ],
  "property1": null,
  "property2": null
}
{
  "status": "error",
  "type": "error",
  "message": "Not Found",
  "errors": [
    {
      "param": "string",
      "message": "string",
      "value": null
    }
  ],
  "property1": null,
  "property2": null
}
{
  "status": "error",
  "type": "error",
  "message": "Not Found",
  "errors": [
    {
      "param": "string",
      "message": "string",
      "value": null
    }
  ],
  "property1": null,
  "property2": null
}
{
  "status": "error",
  "type": "error",
  "message": "Not Found",
  "errors": [
    {
      "param": "string",
      "message": "string",
      "value": null
    }
  ],
  "property1": null,
  "property2": null
}